#ifndef __MULTIPLECONFIGREADER_H
#define __MULTIPLECONFIGREADER_H

#include <windows.h>
#include "SafeString.h"

#include <vector>
using namespace std;

typedef vector<SafeString*> Configs;

const char LogName[] = "MultipleConfigReader";

class MultipleConfigReader
{
public:
	MultipleConfigReader(LPCTSTR configname);
	MultipleConfigReader(LPCTSTR prefix, LPCTSTR config);
	~MultipleConfigReader();

	void PurgeConfigs();
	void ReReadConfigs();

	LPCTSTR GetNextConfig();
	void ResetConfigIterator();
	bool HasMoreConfigs();

protected:
	void ReadConfigs();

	Configs ConfigLines;
	SafeString configName;
	Configs::iterator iter;
};


#endif